[Overview][Constants][Classes][Index] | Reference for unit 'streamex' (#fcl)

# TStringReader.ReadLine

Read a line of text

## Declaration

Source position: streamex.pp line 138

`public procedure TStringReader.ReadLine(`
`out AString: string`
`); override; overload;`

## Arguments

`AString` |  | The line of text that was read

## Description

ReadLine will read a line of text from the text data source. A line of text is delimited by a CRLF character pair, a LF character or a CR character. The line ending characters are not included in the string.

The method exists in 2 versions: one function where the line of text is returned as the function result, one procedure where the line of text is returned in the AString parameter.

This is the TStringReader specific implementation of the abstract TTextReader.ReadLine method.

## See also

Eof |  | Check whether the end of the text data is returned.
TTextReader.ReadLine |  | Read a line of text